Loading...
Searching...
No Matches
rot: apply plane rotation ([cz]rot in LAPACK)
BLAS » Level 1 BLAS: vector ops
Collaboration diagram for rot: apply plane rotation ([cz]rot in LAPACK):

## Functions

subroutine | csrot (n, cx, incx, cy, incy, c, s)
| CSROT
subroutine | drot (n, dx, incx, dy, incy, c, s)
| DROT
subroutine | srot (n, sx, incx, sy, incy, c, s)
| SROT
subroutine | zdrot (n, zx, incx, zy, incy, c, s)
| ZDROT
subroutine | crot (n, cx, incx, cy, incy, c, s)
| CROT applies a plane rotation with real cosine and complex sine to a pair of complex vectors.
subroutine | zrot (n, cx, incx, cy, incy, c, s)
| ZROT applies a plane rotation with real cosine and complex sine to a pair of complex vectors.

## Detailed Description